using System;
using NUnit.Framework;
using static KaannaTaulukkoAli;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestKaannaTaulukkoAli
	{
		[Test]
		public  void TestVaihda43()
		{
			int[] t = { 23, 45, 12, 66 };
			Vaihda(t,0,2);
			Assert.AreEqual( "12 45 23 66", string.Join(" ", t) , "in method Vaihda, line 46");
			Vaihda(t,0,3);
			Assert.AreEqual( "66 45 23 12", string.Join(" ", t) , "in method Vaihda, line 48");
		}
		[Test]
		public  void TestVaihda66()
		{
			int a=3, b=5;
			Vaihda(ref a, ref b);
			Assert.AreEqual( 5, a , "in method Vaihda, line 69");;
			;
			;
			;
			;
			Assert.AreEqual( 3,  b , "in method Vaihda, line 69");
			int[] t = { 23, 45, 12, 66 };
			Vaihda(ref t[0], ref t[2]);
			Assert.AreEqual( "12 45 23 66", string.Join(" ", t) , "in method Vaihda, line 72");
		}
	}

