using System;
/// @author vesal
/// @version 15.9.2014
/// <summary>
///
/// </summary>
public class Matka
{
    /// <summary>
    /// Lasketan kaunako menee kotoa töihin
    /// </summary>
    public static void Main()
    {
        double matkaKm = 9.7;
        double nopeusKmh = 25.0;
        // double aika = matkaKm / nopeusKmh;
        double aika = LaskeAika(matkaKm, nopeusKmh);
        string saika;
        saika = AikaJonoksi(aika);
        Console.WriteLine(saika);
    }
    
    
    /// <summary>
    /// Muutetaan tunteina oleva aika merkkijonoksi
    /// </summary>
    /// <param name="t">aika tunteina</param>
    /// <returns>aika merkkijonona</returns>
    /// <example>
    /// <pre name="test">
    ///    AikaJonoksi(0) === "0:00:00";
    ///    AikaJonoksi(1) === "1:00:00";
    ///    AikaJonoksi(0.5) === "0:30:00";
    ///    AikaJonoksi(0.25) === "0:15:00";
    /// </pre>
    /// </example>
    public static string AikaJonoksi(double t)
    {
        return "0:00:00";
    }
    
    
    /// <summary>
    /// Funktiolla lasketaan kauanko aikaa menee tiettyyn matkaan tietyllä nopeudella
    /// </summary>
    /// <param name="s">matka km</param>
    /// <param name="v">nopeus (vauhti) km/h</param>
    /// <returns>matkaan kulunut aika tunteina</returns>
    /// <example>
    /// <pre name="test">
    ///     LaskeAika(20, 40) ~~~ 0.5;
    ///     LaskeAika(100, 50) ~~~ 2.0;
    /// </pre>
    /// </example>
    public static double LaskeAika(double s, double v)
    {
        double tulos;
        tulos = s / v;
        return tulos;
    }
}
