using System;
using NUnit.Framework;
using static Matka;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestMatka
	{
		[Test]
		public  void TestAikaJonoksi30()
		{
			Assert.AreEqual( "0:00:00", AikaJonoksi(0) , "in method AikaJonoksi, line 31");
			Assert.AreEqual( "1:00:00", AikaJonoksi(1) , "in method AikaJonoksi, line 32");
			Assert.AreEqual( "0:30:00", AikaJonoksi(0.5) , "in method AikaJonoksi, line 33");
			Assert.AreEqual( "0:15:00", AikaJonoksi(0.25) , "in method AikaJonoksi, line 34");
		}
		[Test]
		public  void TestLaskeAika50()
		{
			Assert.AreEqual( 0.5, LaskeAika(20, 40) , 0.000001, "in method LaskeAika, line 51");
			Assert.AreEqual( 2.0, LaskeAika(100, 50) , 0.000001, "in method LaskeAika, line 52");
		}
	}

